<h2
  mat-dialog-title
  class="primary-title header-spacing">{{'organization_selection.header'|transloco}}
</h2>
<mat-dialog-content class="mat-typography dialog-content-text-color full-height-dialog-content">
  <div class="component-container">
    <ng-container *ngIf="data.organizations.length; else emptyOrgList">
      <div class="select-org-grid-container">
        <app-select-organization-card
          *ngFor="let organization of data.organizations"
          (click)="selectOrganization(organization.organization_id)"
          [organization]="organization"
          [selectedOrganization]="data.selectedOrganizationId">
        </app-select-organization-card>
      </div>
    </ng-container>
  </div>
  <ng-template #emptyOrgList>
    <span class="no-org">
      {{ 'organization_selection.no_orgs' | transloco }}
    </span>
  </ng-template>
</mat-dialog-content>
<div class="bottom-position">
  <mat-divider></mat-divider>
  <div class="button-container">
    <button
      mat-flat-button
      class="round-button"
      color="primary"
      [disabled]="!data.selectedOrganizationId"
      [mat-dialog-close]="undefined">
      {{'general_forms.close'|transloco}}
    </button>
  </div>
</div>
